Bug 1270158 (CVE-2015-7833)

Summary: CVE-2015-7833 kernel: usbvision: crash on invalid USB device descriptors
Product: [Other] Security Response Reporter: Martin Prpič <mprpic>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: agordeev, aquini, arm-mgr, bhu, dhoward, esammons, fhrbata, gansalmon, iboverma, itamar, jforbes, jkacur, joelsmith, jonathan, jross, jrusnack, jwboyer, kernel-maint, kernel-mgr, kstutsma, lgoncalv, lwang, madhu.chinakonda, matt, mchehab, mcressma, mguzik, nmurray, pholasek, plougher, rt-maint, rvrbovsk, slong, vdronov, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
An out-of-bounds memory access flaw was found in the USBVision USB camera driver (usbvision_probe() function in drivers/media/usb/usbvision/usbvision-video.c). The driver assumes that the interfaces numbers of the USB device are always in 0,1,2,3... order. By using a specially crafted USB device which advertises an out-of-order number on one of its interfaces, an unprivileged user with physical access to the system can trigger a kernel NULL-pointer dereference causing a system freeze (denial of service).
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-11-13 11:39:44 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1201858, 1270160    
Bug Blocks: 1270159    

Description Martin Prpič 2015-10-09 07:23:15 UTC
An out-of-bounds memory access flaw was found in USBVision USB Camera Driver in usbvision_probe() function in drivers/media/usb/usbvision/usbvision-video.c. The driver assumes that the interfaces numbers of the USB device are always in 0,1,2,3... order. By using a specially crafted USB device which advertises out-of-order number on one of its interfaces an unprivileged user with a physical access can trigger a kernel NULL pointer dereference causing the system to freeze.

Acknowledgements:

Red Hat would like to thank Ralf Spenneberg of OpenSource Security for reporting this issue.

References:

Disclosure post: http://seclists.org/bugtraq/2015/Oct/35

Proposed patch: http://git.linuxtv.org/cgit.cgi/media_tree.git/commit/?id=fa52bd506f274b7619955917abfde355e3d19ffe
or: https://patchwork.linuxtv.org/patch/31912/

Comment 1 Martin Prpič 2015-10-09 07:25:49 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1270160]

Comment 2 Vladis Dronov 2015-11-13 11:39:44 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5. This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 6, 7 and MRG-2.

This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 3 Fedora Update System 2015-12-16 08:24:36 UTC
kernel-4.2.7-300.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-12-16 09:51:35 UTC
kernel-4.2.7-200.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-12-16 14:35:41 UTC
kernel-4.2.7-300.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.